ChiliProject - Bug # 881: Right click content menu appears in incorrect location

Status: Declined Priority: Normal
Author: Andrew Smith Category: User interface
Created: 2012-02-14 Assignee:

Updated: 2012-03-21 Due date:

Remote issue URL:

Affected version: 3.0.0

Description: The context menu is appearing well below the position of the mouse pointer.

The problem is with how the mouse event is handled. The render_x and render_y positions in
‘context_menu.js' are based on the position within the window as where the CSS for the content menu is
based on the parent of the menu.

Either the JS could be updated to change the way the position is worked out so that it takes into account the
position of the parent element, or the easier fix is to update the CSS file and change position:absolute to

position:fixed.

The attached diff shows the change.

History

2012-02-14 04:25 am - Andrew Smith
- File context_menu.js.patch added

Ok, that previous patch wasn't the best. If you have issues that scroll the window the positioning off still.

I've created a new patch that appends the context_menu to 'wrapper' instead of ‘content' and when working out the correct position to place the menu it

also takes into account the scrollY position.

2012-03-17 07:36 pm - Felix Schéfer
The CSS fix works, the js fix works only on the issue list, not for the subissue list on the issue view. Any reason the js fix is better?

2012-03-17 07:38 pm - Felix Schafer

Or not, the CSS fix doesn't work if you've scrolled in the page. The JS version doesn't work for the subissue list though, so no good yet :-/

2012-03-20 09:45 pm - Felix Schéfer

(Related to #899 as the later would make this obsolete)

2012-03-21 08:43 pm - Felix Schéafer
- Status changed from Open to Declined

Obsoleted by #899

Files

Screen_shot_2012-02-14_at_1.45.14_PM.PNG 62.2 kB 2012-02-14 Andrew Smith
context_menu.css.diff 401 Bytes 2012-02-14 Andrew Smith
context_menu.js.patch 1.1 kB 2012-02-14 Andrew Smith
